## NMSettingOvsDpdk NMSettingOvsDpdk — Describes connection properties for Open vSwitch DPDK interfaces. |

## Functions

NMSetting * | nm_setting_ovs_dpdk_new ()
const char * | nm_setting_ovs_dpdk_get_devargs ()

## Types and Values

#define | NM_SETTING_OVS_DPDK_SETTING_NAME
#define | NM_SETTING_OVS_DPDK_DEVARGS

## Description

The NMSettingOvsDpdk object is a NMSetting subclass that describes properties necessary for Open vSwitch interfaces of type "dpdk".

## Functions

### nm_setting_ovs_dpdk_new ()

    NMSetting *
    nm_setting_ovs_dpdk_new (void);

Creates a new NMSettingOvsDpdk object with default values.

#### Returns

the new empty NMSettingOvsDpdk object.

[transfer full]

Since: 1.20

### nm_setting_ovs_dpdk_get_devargs ()

    const char *
    nm_setting_ovs_dpdk_get_devargs (NMSettingOvsDpdk *self);

#### Parameters

self | the NMSettingOvsDpdk |

#### Returns

the “devargs” property of the setting

Since: 1.20

## Types and Values

### NM_SETTING_OVS_DPDK_SETTING_NAME

    #define NM_SETTING_OVS_DPDK_SETTING_NAME        "ovs-dpdk"

### NM_SETTING_OVS_DPDK_DEVARGS

    #define NM_SETTING_OVS_DPDK_DEVARGS             "devargs"